List All Automatic Pix Recurrences
GETTag: api-baas-get-all-pix-automatic-recurrenceDescription: Retrieve a list of the user's automatic pix recurrences. Use optional filter parameters to refine your search./v1/pix/scheduled-payments/automatic-recurrences
Request
Query Parameters
Default value: 1
Page number.
Possible values: <= 100
Default value: 20
Page size. Max size is 100.
Possible values: [created_at]
Page sort attribute.
Possible values: [asc, desc]
Default value: asc
Page order.
Possible values: [PENDING, CREATED, FAILED, APPROVED, REJECTED, CANCELED, EXPIRED, FINISHED]
Recurrence status.
Owner (payer) document (CPF or CNPJ)
Debtor name
Contract number (reference code)
Recurrence tags
Recurrence created at start. Format: YYYY-MM-DD
Recurrence created at end. Format: YYYY-MM-DD
Possible values: [WEEKLY, MONTHLY, QUARTERLY, SEMI_ANNUALLY, ANNUALLY]
Recurrence frequency.
Next charge due date start. Format: YYYY-MM-DD
Next charge due date end. Format: YYYY-MM-DD
Header Parameters
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Responses
- 200
- 400
The recurrences returned successfully.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
Page number.
Page size.
Page total.
Total of elements.
data object[]required
Automatic pix recurrence data
Recurrence ID.
Possible values: [PENDING, CREATED, FAILED, APPROVED, REJECTED, CANCELED, EXPIRED, FINISHED]
Recurrence status
Possible values: [PENDING_CONFIRMED, CREATED_CONFIRMED, CREATED_FAILED, APPROVED_CONFIRMED, REJECTED_CONFIRMED, CANCELED_CONFIRMED, CANCELED_FAILED, EXPIRED_CONFIRMED, FINISHED_CONFIRMED]
Recurrence state
Possible values: [JOURNEY_1, JOURNEY_2, JOURNEY_3, JOURNEY_4, JOURNEY_4_STATIC]
Recurrence journey
Possible values: [WEEKLY, MONTHLY, QUARTERLY, SEMI_ANNUALLY, ANNUALLY]
Recurrence frequency
Recurrence start date
Recurrence end date
Recurrence value
Recurrence floor max value
Recurrence beneficiary ISPB
Recurrence beneficiary document
Recurrence beneficiary name
Recurrence owner (payer) ISPB
Recurrence owner (payer) name
Possible values: [NATURAL_PERSON, LEGAL_PERSON]
Recurrence owner (payer) person type
Recurrence owner (payer) document
Recurrence owner (payer) bank branch
Recurrence owner (payer) bank account
Possible values: [NATURAL_PERSON, LEGAL_PERSON]
Recurrence debtor person type
Recurrence debtor document
Recurrence debtor name
Recurrence contract number
Recurrence contract description
Recurrence tags
Recurrence request expiration date
Possible values: [ACCOUNT_CANCELED, RECEIVER_COMPANY_CLOSURE, OWNER_DEATH, CONFIRMATION_ERROR, FRAUD_SUSPICION, RECURRENCE_ALREADY_CONFIRMED, RECEIVER_REQUEST, PAYER_REQUEST, RECEIVER_PSP_REQUEST]
Recurrence cancellation reason
Recurrence next charge due date
Recurrence next charge value
Recurrence creation date.
Recurrence update date.
{
"page": 1,
"page_size": 20,
"page_total": 20,
"total": 100,
"data": [
{
"id": "d1952c4b-9348-41ab-99a3-05b11459aded",
"status": "APPROVED",
"state": "APPROVED_CONFIRMED",
"journey": "JOURNEY_1",
"frequency": "MONTHLY",
"start_date": "2025-04-15",
"end_date": "2026-04-15",
"value": 100,
"floor_max_value": 50,
"beneficiary_ispb": "7219",
"beneficiary_document": "01234567890",
"beneficiary_name": "John Doe",
"owner_ispb": "7219",
"owner_name": "John Doe",
"owner_person_type": "NATURAL_PERSON",
"owner_document": "02345678912",
"owner_bank_branch": "0001",
"owner_bank_account": "12345678",
"debtor_person_type": "NATURAL_PERSON",
"debtor_document": "03456789013",
"debtor_name": "John Wick",
"contract_number": "123456-7",
"contract_description": "Gym monthly subscription",
"tags": "[\"gym\", \"subscription\"]",
"request_expiration_date": "2026-03-26T14:02:59.324Z",
"cancellation_reason": "RECEIVER_REQUEST",
"next_charge_due_date": "2026-03-26",
"next_charge_value": 100,
"created_at": "2026-03-26T14:02:59.324Z",
"updated_at": "2026-03-26T14:02:59.324Z"
}
]
}
If any required params are missing or has invalid format or type.